
I was out of body above the doctors, watching them trying to put a needle into my collapsed veins. Then, I was bouncing around the ceiling of the hospital. Someone named Elizabeth was supposed to collect children, but I lost focus. I bounced around the hospital hallway ceiling with other entities that did not interact. They were probably asleep or unconscious (or, dead). There was a spark in a corner of a ceiling and small light beings kept saying, 'Go to the light.' I finally lost energy, gave up, and was sucked in. I was in a dark tunnel like place with an ocean, dark and fighting drowning. I finally gave up and didn't drown but came to a very bright island. I walked on the island, went between some boulders, and had a sense of meeting someone.

First, there was a Disney bluebird. (Remember, I was five years old.) Then, there was a blue-eyed blond Midwestern Jesus. There was a life review of the smallest details and I had lots of guilt. My Sunday school had taught that Jews didn't go to heaven. Even at five, I felt this was wrong and expressed concern. I was told, 'We are all one.' The Jesus figure changed into different races, genders. It was dizzying. I picked out a Native American who lamented that he had died too soon. A Viking who put himself in chains in horse stalls. A Mongolian looking guy with a headdress with horns on it. And, a guy who had died in heather and by his own hand. A couple of women, one of whom was older and spent time on a rocking chair on a farmhouse porch, yelled at me that he was messing up the place. I figured out later that these were past lives. I was told I had to fix the man who died in heather. I was told that I was there too soon and had to go back. Earth was vibrating much slower than this place. I had to go back. I had no choice. I was told I wouldn't remember. I was always stubborn and did, despite the disbelief of others. I told the nurse that 'I was back'. She said that I never left and I realized then that I had a problem.

Later in life, I participated in a past life regression with shiatsu massage. I was programmed to die violently. I met the Viking. He was somehow protecting me. I think he probably fell off a boat and drowned. I then met the man who died in heather. He was Irish and had killed his lover/wife. There was a knife and a blue dress. He was asked to make another choice. In my logical mind, I would have had him choose to live. His choice was to love and that he was going to work on it. A part of me was altered and had to be processed for about four days. I am so not who I started out to be by the NDE and the meeting with the man who died in heather. That is why I couldn't answer that you were met by deceased persons. Not deceased in the way you would expect. Time may not be what we expect.
